
extends _base.pug

block title
  span Boolean Example

block ssvg
  .custom-control.custom-switch
    input.custom-control-input#input(type="checkbox")
    label.custom-control-label(for="input") Switch on/off
  s-svg#ssvg
    svg#svg(height="40vh" width="100%" viewbox='0 0 100 100' xmlns="http://www.w3.org/2000/svg")
      state.
        transition(duration="500ms" timing-function='ease-in-out')
        property(name="isActive" type="boolean" initial="false")
          //- note: #rect1 has a transform attribute that matches this transformation
          transform(query-selector='#rect1' by="translate(45 0) rotate(45)")
          //- note: #rect1 has a transform attribute that matches this transformation
          transform(query-selector='#rect2' to="translate(-15 30) rotate(180)")
          //- note: empty transforms (in 'from') are replace with transforms with all-zeros arguments
          transform(query-selector='#rect3' from='' to="translate(15 15) rotate(90)")
          transform(query-selector='#rect4' from='' to="translate(-45 -45) rotate(90)")
          relation(query-selector='rect' attribute-name='fill' values='red;green')

      g(transform='translate(10 10)')
        rect#rect1(y='-5' x='-5' width="10" height="10" transform="translate(0 0) rotate(-45)")
      g(transform='translate(25 25)')
        rect#rect2(y='-5' x='-5' width="10" height="10" transform="translate(0 0) rotate(45)")
      g(transform='translate(40 40)')
        rect#rect3(y='-5' x='-5' width="10" height="10")
      g(transform='translate(55 55)')
        rect#rect4(y='-5' x='-5' width="10" height="10")

  script(src=basePath + "/dist/ssvg-engine.js")
  script.
    ssvg.plugin();
    $(document).ready(() => {
      const ssvg = $('#ssvg');
      const input = $('#input');

      input.on('input', function() {
        ssvg.get(0).setState({ isActive: this.checked });
      });
    });
